import { SerializedStyles } from "@emotion/react";
import { BarPosition } from "./interface";
export declare const applyBarPointerShapeStyle: (barPosition: BarPosition) => any;
export declare function applyBarHandlerStyle(barPosition: BarPosition): SerializedStyles;
export declare function applyBarPointerStyle(barPosition: BarPosition, isLimitedMode?: boolean): SerializedStyles;
export declare function applySquarePointerStyle(pointerPosition: BarPosition): SerializedStyles;
